﻿.deveditor {
    --deveditor-height: 28px;
    height: var(--deveditor-height);
    font-size: 0.8rem;
}

.dxbl-text-edit-input {
    height: var(--deveditor-height);
    font-size: 0.8rem;
    background-color: red;
}

/*DevExpress Editor Valid*/
.dxbl-text-edit.valid.modified:not([type=checkbox]) {
    --dxbl-text-edit-focus-shadow-color: rgba(var(--bs-primary-rgb), 25%);
    --dxbl-text-edit-focus-shadow-spread: 0.125rem;
    --dxbl-text-edit-focus-shadow-blur: 0rem;
    --dxbl-text-edit-focus-border-color: rgba(var(--bs-primary-rgb), 50%);
    --dxbl-text-edit-border-color: var(--bs-border-color, var(--bs-gray-400, #ced4da));
    outline: 0
}

    .dxbl-text-edit.valid.modified:not([type=checkbox]) .dxbl-edit-validation-status {
        display: none;
    }

        .dxbl-text-edit.valid.modified:not([type=checkbox]) .dxbl-edit-validation-status > .dxbl-image.dxbl-edit-validation-status-icon-valid {
            display: none;
        }

/*DevExpress CheckBox*/
.dxbl-checkbox.valid.modified:not([type=checkbox]) {
    --dxbl-checkbox-check-element-checked-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-check-element-checked-hover-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-check-element-unchecked-bg: transparent;
    --dxbl-checkbox-check-element-unchecked-hover-bg: transparent;
    --dxbl-checkbox-switch-checked-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-switch-checked-hover-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-switch-unchecked-bg: rgba(var(--bs-secondary-rgb), 50%);
    --dxbl-checkbox-switch-unchecked-hover-bg: rgba(var(--bs-secondary-rgb), 50%);
    --dxbl-checkbox-checked-focus-shadow-color: transparent;
    --dxbl-checkbox-unchecked-focus-shadow-color: transparent;
}

.dxbl-checkbox.valid:not([type=checkbox]) {
    --dxbl-checkbox-check-element-checked-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-check-element-checked-hover-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-check-element-unchecked-bg: transparent;
    --dxbl-checkbox-check-element-unchecked-hover-bg: transparent;
    --dxbl-checkbox-switch-checked-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-switch-checked-hover-bg: var(--dxbl-checkbox-validation-valid-color);
    --dxbl-checkbox-switch-unchecked-bg: rgba(var(--bs-secondary-rgb), 50%);
    --dxbl-checkbox-switch-unchecked-hover-bg: rgba(var(--bs-secondary-rgb), 50%);
    --dxbl-checkbox-checked-focus-shadow-color: transparent;
    --dxbl-checkbox-unchecked-focus-shadow-color: transparent;
}

.item {
    height: 30px;
}

.alt-item > td:not(.dxbl-grid-empty-cell),
.alt-item > td:not(.dxbl-grid-indent-cell) {
    background-color: #F7F7F7 !important;
    color: #161616;
    height: 30px;
}

.alt-item {
    --dxbl-grid-row-bg: var(--DS-color-surface-neutral-subdued-rest);
}
